<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
        "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:h="http://xmlns.jcp.org/jsf/html"
      xmlns:ui="http://xmlns.jcp.org/jsf/facelets"
      xmlns:f="http://xmlns.jcp.org/jsf/core">

<h:head>
    <title>Gestion utilisateur</title>

    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.4.1/css/bootstrap.min.css" integrity="sha384-Vkoo8x4CGsO3+Hhxv8T/Q5PaXtkKtu6ug5TOeNV6gBiFeWPGFN9MuhOf23Q9Ifjh" crossorigin="anonymous"/>

</h:head>
<f:metadata>
    <f:viewAction action="#{gestionUserBean.initeUptateUser}"/>
</f:metadata>

<f:view>
    <h1><h:outputText value="Gestion des utilisateurs"/> </h1>

    <h2><h:outputText value="Modification"
                  style="color:#0000FF; text-decoration: none"/></h2>



    <br/> <br/>
    <h:button id="btn_retour" outcome="gestionUser">RETOUR</h:button>
    <h:form>
    <h:panelGrid columns="3" cellpadding="5">

    <f:facet name="header">Formulaire d'inscription</f:facet>

        <h:outputLabel value="ID" for="index"/>
        <h:inputText id="index" value="#{gestionUserBean.index}" disabled="true">
        </h:inputText>
        <h:message for="index" id="mindex" style="color: #FF0000"></h:message>

    <h:outputLabel value="Nom" for="nom"/>
    <h:inputText id="nom" value="#{gestionUserBean.nom}"
                 required="true" requiredMessage="Le champs nom doit être saisie.">
        <f:validateLength minimum="3" maximum="15"/>
    </h:inputText>
    <h:message for="nom" id="msgNom" style="color: #FF0000"></h:message>

    <h:outputLabel value="Prénom" for="prenom"/>
    <h:inputText id="prenom" value="#{gestionUserBean.prenom}">
        <f:validateLength minimum="3"/>
    </h:inputText>
    <h:message for="prenom" id="msgPrenom" style="color: #FF0000"></h:message>

    <h:outputLabel value="Date de naissance" for="dateNaissance"/>
    <h:inputText id="dateNaissance" value="#{gestionUserBean.dateNaissance}"
                 required="true"
                 requiredMessage="Le champs date de naissance est obligatoire."
                 validatorMessage="La valeur du champs est invalide"
                 converterMessage="Le champs doit être au format JJ/MM/YYYY">

        <f:convertDateTime pattern="dd/MM/YYYY"/>
    </h:inputText>
    <h:message for="dateNaissance" id="msgDateNass" style="color: #FF0000"></h:message>

    <h:outputLabel value="Sexe" for="sexe"/>
    <h:selectOneRadio required="true" id="sexe" value="#{gestionUserBean.sexe}"
                      requiredMessage="Vous devez sausir un sexe">
        <f:selectItem id="sexeChoix1" itemLabel="Masculin" itemValue="homme"/>
        <f:selectItem id="sexeChoix2" itemLabel="Féminin" itemValue="femme"/>
    </h:selectOneRadio>
    <h:message for="sexe" id="msgSexe" style="color: #FF0000"></h:message>


    <h:outputLabel value="Nombre d'enfant" for="nbrEnfant"/>
    <h:selectOneListbox id="nbrEnfant" size="1" value="#{gestionUserBean.nbrEnfant}">
        <f:selectItem itemLabel="1" itemValue="1"/>
        <f:selectItem itemLabel="2" itemValue="2"/>
        <f:selectItem itemLabel="3" itemValue="3"/>
        <f:selectItem itemLabel="4" itemValue="4"/>
        <f:selectItem itemLabel="5" itemValue="5"/>
    </h:selectOneListbox>
    <h:message for="nbrEnfant" id="msgNbrEnf" style="color: #FF0000"></h:message>

    <f:facet name="footer">
        <h:commandButton  value="Modifier"/>
    </f:facet>
    </h:panelGrid>
    </h:form>
</f:view>
</html>
